// TTOY2.INC - The Tinker Toy 'Houde' in TOYS.POV
//
// By Neil Clark

//-------------------------- Spindle Parts --------------------------

// Center Axle
#declare Center_Axle = object
  {
   Red_Ttoy
   rotate <0, 90, 0>
   translate <0, 0, 3.5>
  }
// Center Outside Wheel
#declare Center_Outside_Wheel = object
  {
   Round_Wheel
   rotate <0, 90, 0>
  }
// Back Outside Wheel
#declare Back_Wheel = object
  {
   Round_Wheel
   rotate <0, 90, 0>
   translate <0,0,8.5>
  }
// Top Yellow Stick #1
#declare Top_Yellow1 = object
  {
   Yellow_Ttoy
   rotate <0, 0, 0>
   translate <0.35, 0, 0>
  }

// Top Yellow Stick #2
#declare Top_Yellow2 = object
  {
   Yellow_Ttoy
   translate <0.35, 0, 0>
   rotate <0, 0, 45>
  }

// Top Yellow Stick #3
#declare Top_Yellow3 = object
  {
   Yellow_Ttoy
   translate <0.35, 0, 0>
   rotate <0, 0, 90>
  }

// Top Yellow Stick #4
#declare Top_Yellow4 = object
  {
   Yellow_Ttoy
   translate <0.35, 0, 0>
   rotate <0, 0, 135>
  }

// Top Yellow Stick #5
#declare Top_Yellow5 = object
  {
   Yellow_Ttoy
   translate <0.35, 0, 0>
   rotate <0, 0, 180>
  }

// Top Yellow Stick #6
#declare Top_Yellow6 = object
  {
   Yellow_Ttoy
   translate <0.35, 0, 0>
   rotate <0, 0, 225>
  }

// Top Yellow Stick #7
#declare Top_Yellow7 = object
  {
   Yellow_Ttoy
   translate <0.35, 0, 0>
   rotate <0, 0, 270>
  }

// Top Yellow Stick #8
#declare Top_Yellow8 = object
  {
   Yellow_Ttoy
   translate <0.35, 0, 0>
   rotate <0, 0, 315>
  }

#declare Spindle = union
  {
   object { Center_Axle }
   object { Center_Outside_Wheel }
   object { Back_Wheel }
   object { Top_Yellow1 }
   object { Top_Yellow2 }
   object { Top_Yellow3 }
   object { Top_Yellow4 }
   object { Top_Yellow5 }
   object { Top_Yellow6 }
   object { Top_Yellow7 }
   object { Top_Yellow8 }
  }

#declare TTOY_HOUSE = union {

// Front Bottom Row
object  {  Round_Wheel rotate <0, 90, 0> translate <0, 0, 0> }
object  {  Round_Wheel rotate <0, 90, 0> translate <4, 0, 0> }
object  {  Round_Wheel rotate <0, 90, 0> translate <8, 0, 0> }
object  {  Round_Wheel rotate <0, 90, 0> translate <12, 0, 0> }
// Yellow on Front - Horizontal
object  {  Yellow_Ttoy translate <1.45, 0, 0> }
object  {  Yellow_Ttoy translate <5.5, 2.9, 0> } // Top
object  {  Yellow_Ttoy translate <9.8, 0, 0> }
// Yellow on Front - Verticals
object  {  Yellow_Ttoy rotate <0, 0, 90> translate <4, 1.3, 0> }
object  {  Yellow_Ttoy rotate <0, 0, 90> translate <8, 1.3, 0> }
// Green on Front - Verticals
object  {  Green_Ttoy rotate <0, 0, 90> translate <0, 5.6, 0> }
object  {  Green_Ttoy rotate <0, 0, 90> translate <12, 5.6, 0> }
// Green on Front - Horizontal
object  {  Green_Ttoy translate <6, 12, 0> }
// Front Door Top
object  {  Round_Wheel rotate <0, 90, 0> translate <4, 2.9, 0> }
object  {  Round_Wheel rotate <0, 90, 0> translate <8, 2.9, 0> }
// Front Top
object  {  Round_Wheel rotate <0, 90, 0> translate <0, 12, 0> }
object  {  Round_Wheel rotate <0, 90, 0> translate <12, 12, 0> }
// Left Side Red Bottom
object  {  Red_Ttoy rotate <0, 90, 0> translate <0, 0, 4.8> }
// Right Side Red Bottom
object  {  Red_Ttoy rotate <0, 90, 0> translate <12, 0, 4.8> }
// Left Side Red Top
object  {  Red_Ttoy rotate <0, 90, 0> translate <0, 12, 4.8> }
// Right Side Red Top
object  {  Red_Ttoy rotate <0, 90, 0> translate <12, 12, 4.8> }

//-------------------------- BACKSIDE --------------------------

// Back Bottom Row
object  {  Round_Wheel rotate <0, 90, 0> translate <0, 0, 8> }
object  {  Round_Wheel rotate <0, 90, 0> translate <12, 0, 8> }
// Green on Back - Verticals
object  {  Green_Ttoy rotate <0, 0, 90> translate <0, 5.6, 8> }
object  {  Green_Ttoy rotate <0, 0, 90> translate <12, 5.6, 8> }
// Green on Back - Horizontals
object  {  Green_Ttoy translate <6, 12, 8> }
object  {  Green_Ttoy translate <6, 0, 8> }
// Back Top
object  {  Round_Wheel rotate <0, 90, 0> translate <0, 12, 8> }
object  {  Round_Wheel rotate <0, 90, 0> translate <12, 12, 8> }

//-------------------------- TOP ROOF --------------------------

// Left Red Front
object  {  Red_Ttoy translate <0.5,0,0> rotate <0, 0, 45> translate <2.5, 14.5, 0.5> }
// Left Connecter Front
object  {  Orange_Connector rotate <0, 0, 45> translate <0, 12, 0.5> }
// Right Red Front
object  {  Red_Ttoy translate <-0.5,0,0> rotate <0, 0, -45> translate <9.5, 14.5, 0.5> }
// Right Connecter Front
object  {  Orange_Connector rotate <0, 0, -45> translate <12, 12, 0.5> }
// Front Top Thru disk
object  {  Flat_Wheel rotate <0, 90, 0> translate <6, 17.5, 0.5> }
// Left Bushing Front
object  {  Orange_Bushing rotate <0, 90, 0> translate <0, 12, 0.9> }
// Right Bushing Front
object  {  Orange_Bushing rotate <0, 90, 0> translate <12, 12, 0.9> }
// Left Red Back
object  {  Red_Ttoy translate <0.5,0,0> rotate <0, 0, 45> translate <2.5, 14.5, 7.5> }
// Left Connecter Back
object  {  Orange_Connector rotate <0, 0, 45> translate <0, 12, 7.5> }
// Right Red Back
object  {  Red_Ttoy translate <-0.5,0,0> rotate <0, 0, -45> translate <9.5, 14.5, 7.5> }
// Right Connecter Back
object  {  Orange_Connector rotate <0, 0, -45> translate <12, 12, 7.5> }
// Back Top Thru disk
object  {  Flat_Wheel rotate <0, 90, 0> translate <6, 17.5, 7.5> }
// Left Bushing Back
object  {  Orange_Bushing rotate <0, 90, 0> translate <0, 12, 7.1> }
// Right Bushing Back
object  {  Orange_Bushing rotate <0, 90, 0> translate <12, 12, 7.1> }

//-------------------------- Spindle Parts --------------------------

// Left Top Blue
object  {  Blue_Ttoy rotate <0, 90, 0> translate <5.53, 17.5, 4> }
// Right Top Blue
object  {  Blue_Ttoy rotate <0, 90, 0> translate <6.47, 17.5, 4> }

object { Spindle
   rotate <0, 0, 10>
   translate <6, 17.5, 0>
   }
}

